# BaseViewFinderConfiguration class abstract

Base configuration of the scanning interface’s viewfinder, serving as guidance to the user.

Implementers
  - PermanentViewFinderConfiguration
  - ViewFinderConfiguration

## Constructors

BaseViewFinderConfiguration({FinderStyle? style, ScanbotColor? overlayColor, AspectRatio? aspectRatio, EdgeInsets? minimumInsets, double preferredHeight = -1.0})
BaseViewFinderConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

aspectRatio ↔ AspectRatio
  The viewfinder's aspect ratio.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minimumInsets ↔ EdgeInsets
  The minimum insets of the viewfinder.
  getter/setter pair
overlayColor ↔ ScanbotColor
  The color of the viewfinder overlay.
  getter/setter pair
preferredHeight ↔ double
  The preferred height of the viewfinder.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
style ↔ FinderStyle
  The visual appearance of the viewfinder.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

permanentViewFinderConfiguration() → PermanentViewFinderConfiguration
viewFinderConfiguration() → ViewFinderConfiguration